# parking_lot_core::deadlock - Rust
API documentation for the Rust `deadlock` mod in crate `parking_lot_core`.
Keywords: rust, rustlang, rust-lang, deadlock

# [−] [src] Module parking_lot_core::deadlock

[Experimental] Deadlock detection

Enabled via the `deadlock_detection` feature flag.

## Functions

acquire_resource ⚠ | Acquire a resource identified by key in the deadlock detector Noop if deadlock_detection feature isn't enabled.
release_resource ⚠ | Release a resource identified by key in the deadlock detector. Noop if deadlock_detection feature isn't enabled.